Package org.firebirdsql.jca

## Class FBIncorrectXidException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.resource.ResourceException
      - - org.firebirdsql.jca.FBResourceException
        - - org.firebirdsql.jca.FBIncorrectXidException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class FBIncorrectXidException
      extends FBResourceException

  This error is thrown when message read from the RDB$TRANSACTIONS table does not represent a serialized Xid.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FBIncorrectXidException​(java.lang.Exception original)` |
    `FBIncorrectXidException​(java.lang.String reason)` |
    `FBIncorrectXidException​(java.lang.String reason, java.lang.Exception original)` |
    `FBIncorrectXidException​(java.lang.String reason, java.lang.String errorCode)` |

  - ### Method Summary

    - ### Methods inherited from class org.firebirdsql.jca.FBResourceException

      `getMessage, printStackTrace, printStackTrace, printStackTrace`

    - ### Methods inherited from class javax.resource.ResourceException

      `getErrorCode, getLinkedException, setErrorCode, setLinkedException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FBIncorrectXidException

          public FBIncorrectXidException​(java.lang.Exception original)

    - #### FBIncorrectXidException

          public FBIncorrectXidException​(java.lang.String reason,
                                         java.lang.Exception original)

    - #### FBIncorrectXidException

          public FBIncorrectXidException​(java.lang.String reason,
                                         java.lang.String errorCode)

    - #### FBIncorrectXidException

          public FBIncorrectXidException​(java.lang.String reason)